Loading...
Searching...
No Matches
casacore::LELFunctionEnums Class Reference
lattices package (libcasa_lattices) » LEL_module » LEL_module_internal_classes

More...

`#include <LELFunctionEnums.h>`

## Public Types

enum | Function { SIN , SINH , ASIN , COS , COSH , ACOS , TAN , TANH , ATAN , ATAN2 , EXP , LOG , LOG10 , POW , SQRT , ROUND , SIGN , CEIL , FLOOR , ABS , ARG , REAL , IMAG , CONJ , COMPLEX , FMOD , MIN , MAX , MIN1D , MAX1D , MEAN1D , MEDIAN1D , FRACTILE1D , FRACTILERANGE1D , SUM , NELEM , ALL , ANY , NTRUE , NFALSE , MASK , VALUE , IIF , REPLACE , NDIM , LENGTH , ISNAN , INDEXIN , NFUNCTIONS }

## Detailed Description

Each LEL function is described in this enum

### Intended use:

Internal

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- Lattice
- LatticeExpr
- LatticeExprNode
- LELInterface

### Etymology

This enum provides a value for each function accepted by the Lattice Expression Language classes.

### Synopsis

Each function name accepted by the bridging class LatticeExprNode and passed on to the LELFunction letter classes is labelled internally with a value from this enum.

Definition at line 63 of file LELFunctionEnums.h.

## Member Enumeration Documentation

## Function

enum casacore::LELFunctionEnums::Function

Enumerator
SIN | sin
SINH | sinh
ASIN | asin
COS | cos
COSH | cosh
ACOS | acos
TAN | tan
TANH | tanh
ATAN | atan; atan(x) returns the arc tangent of x in the range -pi/2 to pi/2.
ATAN2 | atan2; atan2(y,x) computes an arc tangent of y/x in the range -pi to pi
EXP | exp
LOG | log
LOG10 | log10
POW | power pow(x,y) == x**y or x^y
SQRT | sqrt
ROUND | round
SIGN | sign (-1 if <0; 0 if 0; 1 if >0)
CEIL | ceil; returns the least integral value greater than or equal to x.
FLOOR | floor; returns the greatest integral value less than or equal to x.
ABS | abs
ARG | phase (of complex number)
REAL | real (part of number)
IMAG | imag (inary part of complex number)
CONJ | conj (ugate complex number)
COMPLEX | complex (form complex from 2 reals)
FMOD | fmod; fmod(x,y) returns the remainder of x with respect to y; that is, the result r is one of the numbers that differ from x by an integral multiple of y.
MIN | min; min(x,y)
MAX | max; max(x,y)
MIN1D | min; min(x) (is a scalar)
MAX1D | max; max(x) (is a scalar)
MEAN1D | mean; mean(x) (is a scalar)
MEDIAN1D | median; median(x) (is a scalar)
FRACTILE1D | fractile; fractile(x,fraction) (is a scalar)
FRACTILERANGE1D | fractilerange; fractilerange(x,fraction1[,fraction2]) (is a scalar)
SUM | sum; sum(x) (is a scalar)
NELEM | nelements; nelements(x) (is a scalar)
ALL | all (true) (is a scalar)
ANY | any (true) (is a scalar)
NTRUE | ntrue
NFALSE | nfalse
MASK | mask
VALUE | value
IIF | iif (similar to ? : in C++)
REPLACE | replace
NDIM | dimensionality
LENGTH | length (of an axis)
ISNAN | is the value a NaN?
INDEXIN | a bool array telling which indices of an axis are to be used
NFUNCTIONS | number of functions

Definition at line 66 of file LELFunctionEnums.h.

The documentation for this class was generated from the following file:

- lattices/LEL/LELFunctionEnums.h